Home > Error Code > Linux Error Code

Linux Error Code

Contents

Sample Script: #!/bin/bash touch /root/test echo created file The above sample script will execute both the touch command and the echo command. It seems to date back to at least 1993 and some big projects like Postfix use it, so I imagine it's the way to go. Script: #!/bin/bash touch /root/test 2> /dev/null if [ $? -eq 0 ] then echo "Successfully created file" else echo "Could not create file" >&2 fi In the above revision of our This condition never arises on GNU/Hurd systems. http://globalinfoindex.com/error-code/linux-error-code-11.php

The accepted answer explains what happens when a command is terminated by a signal. This is Bash's way of giving functions a "return value." [1]

Following the execution of a pipe, a $? gives the exit status of Non-zero doesn't necessarily mean failure either. The list constructs use exit codes to understand whether a command has successfully executed or not. http://www-numi.fnal.gov/offline_software/srt_public_context/WebDocs/Errors/unix_system_errors.html

Linux Errno Example

The author of this document will not do fixups on the scripting examples to conform to the changing standard. What is this game from this promotional image for joysticks? You can get this # value from the first item on the command line ($0). This site is not affiliated with Linus Torvalds or The Open Group in any way.

Macro: int EINVAL Invalid argument. See Socket Addresses. Macro: int ENOTBLK A file that isn’t a block special file was given in a situation that requires one. Errno.h In C If the touch command fails however, we will print a failure message to stderr and exit with a 1 value which indicates failure.

Script: #!/bin/bash touch /root/test 2> /dev/null if [ $? -eq 0 ] then echo "Successfully created file" exit 0 else echo "Could not create file" >&2 exit 1 fi With the Macro: int EDOM Domain error; used by mathematical functions when an argument value does not fall into the domain over which the function is defined. It is probably a good idea to delay for a few seconds before trying it again, to allow time for other processes to release scarce resources. navigate to this website I once had a Unix system administrator who wrote a script for a production system containing the following 2 lines of code: # Example of a really bad idea cd $some_directory

share|improve this answer answered Jun 10 '15 at 5:20 Frederick 6111 I was about to point out diff's behaviour too. Errno.h Windows exit

The equivalent of a bare exit is exit $? or even just omitting the exit.

#!/bin/bash COMMAND_1 . . . Note that any number of linked channels count as just one file opening; see Linked Channels. asked 7 years ago viewed 199642 times active 21 days ago Blog How Do Software Developers in New York, San Francisco, London and Bangalore… Visit Chat Linked 1 Explain Different EXIT

Posix Error Codes

Macro: int EPROTOTYPE The socket type does not support the requested communications protocol. Macro: int ENETUNREACH A socket operation failed because the subnet containing the remote host was unreachable. Linux Errno Example No permission to read one of the files passed on the command line. Linux Errno To String Aborting." fi AND and OR lists Finally, we can further simplify our script by using the AND and OR control operators.

true !true # No error this time, but no negation either. # It just repeats the previous command (true). # =========================================================== # # Preceding a _pipe_ with ! weblink A required tool could not be found. It may be anticipated that the range of unallotted exit codes will be further restricted in the future. share|improve this answer edited Jul 9 '09 at 5:36 answered Jul 9 '09 at 5:29 Chris Arguin 8,35622142 This should be the accepted answer. –tripleee Oct 10 at 8:44 Errno.h Linux Kernel

environment variable. $? The action failed. Macro: int ENOTSOCK A file that isn’t a socket was specified when a socket is required. http://globalinfoindex.com/error-code/linux-error-code-22.php In that case, the cd command will fail and the script executes the rm command on the current working directory.

It is also important that your scripts return a meaningful exit status when they finish. Ebadf Macro: int EDESTADDRREQ No default destination address was set for the socket. Macro: int ENETDOWN A socket operation failed because the network was down.

About the 11 error code, it's indeed the segmentation fault number, mostly meaning that the program accessed a memory location that was not assigned.

The above command will execute the ./tmp.sh script, and if the exit code is 0 the command echo "bam" will be executed. Macro: int EHOSTUNREACH The remote host for a requested network connection is not reachable. Macro: int EISDIR File is a directory; you cannot open a directory for writing, or create or remove hard links to it. Errno 0 Macro: int ENOTCONN The socket is not connected to anything.

A function returns this error when certain parameter values are valid, but the functionality they request is not available. Within a script, an exit nnn command may be used to deliver an nnn exit status to the shell (nnn must A world with a special political system How to tell if your flight has an air-bridge or stairs? http://globalinfoindex.com/error-code/linux-error-code-1.php The file was the wrong type for the operation, or a data file had the wrong format.

exit / exit status

#!/bin/bash echo hello echo $? # Exit status 0 returned because command executed successfully. Macro: int EUSERS The file quota system is confused because there are too many users. Repairing this condition usually requires unmounting, possibly repairing and remounting the file system. There is likely some mechanism, either in the kernel or in the shell, that translates that into the exit code.

All rights reserved. (A whole bunch of text left out.) #define EX_OK 0 /* successful termination */ #define EX__BASE 64 /* base value for error messages */ #define EX_USAGE 64 /* Macro: int E2BIG Argument list too long; used when the arguments passed to a new program being executed with one of the exec functions (see Executing a File) occupy too much Macro: int EPROTONOSUPPORT The socket domain does not support the requested communications protocol (perhaps because the requested protocol is completely invalid). Macro: int ESOCKTNOSUPPORT The socket type is not supported.

This should not cause any problems, since there is no overlap or conflict in usage of exit codes between compiled C/C++ binaries and shell scripts.

PrevHome